JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::MemberProxy Struct Reference

Proxy struct to enable range-based for loops over object members. More...

`#include <json/value.h>`

## Public Attributes

const String | name
Value & | value

## Detailed Description

Proxy struct to enable range-based for loops over object members.

Definition at line 1050 of file value.h.

## Member Data Documentation

## name

const String Json::MemberProxy::name

Definition at line 1051 of file value.h.

## value

Value& Json::MemberProxy::value

Definition at line 1052 of file value.h.

The documentation for this struct was generated from the following file:

- include/json/value.h